Bug 148678 - Web Inspector: visual style editor fields should restore previous value when invalid inputs are entered
Summary: Web Inspector: visual style editor fields should restore previous value when ...
Status: RESOLVED CONFIGURATION CHANGED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks: 147563
  Show dependency treegraph
 
Reported: 2015-09-01 08:47 PDT by BJ Burg
Modified: 2018-10-25 01:31 PDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description BJ Burg 2015-09-01 08:47:49 PDT
This is a followup bug to https://bugs.webkit.org/show_bug.cgi?id=148580.

We shouldn't be storing the input state in the DOM, it should be kept in the widget class separately and synced when valid values are committed.
Comment 1 Radar WebKit Bug Importer 2015-09-01 08:48:17 PDT
<rdar://problem/22518919>
Comment 2 Devin Rousso 2015-09-08 16:02:25 PDT
(In reply to comment #0)
> We shouldn't be storing the input state in the DOM, it should be kept in the
> widget class separately and synced when valid values are committed.

I agree with you that we should have member variables for the current value, but I am not sure about "restore previous value when invalid inputs are entered".  What exactly do you mean by that?  Would it be something like "display: foo;"?  If so, I don't think we should just revert to the previous value because that would remove any support for other browsers/custom css.  Maybe something like a warning saying "this won't work"...
Comment 3 Devin Rousso 2018-10-25 01:31:18 PDT
The Visual styles sidebar was removed in r236298 <https://webkit.org/b/189807>.